﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication4
{
    /// <summary>
    /// Interaction logic for DraggableImage.xaml
    /// </summary>
    public partial class DraggableImage : UserControl
    {
        public DraggableImage()
        {
            InitializeComponent();
        }

        #region Source Property
        public BitmapSource Source
        {
            get { return (BitmapSource)GetValue(SourceProperty); }
            set { SetValue(SourceProperty, value); }
        }

        public static readonly DependencyProperty SourceProperty =
            DependencyProperty.Register("Source",
            typeof(BitmapSource),
            typeof(DraggableImage),
            new PropertyMetadata(null, OnSourcePropertyChanged));

        private static void OnSourcePropertyChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            DraggableImage image = (DraggableImage)d;

            image.PART_image.Source = (BitmapSource)e.NewValue;
        }
        #endregion
    }
}
